## sddm-kcm 5.12.7

=== CMakeLists.txt ===
project(sddm-kcm)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(PROJECT_VERSION "5.12.7")
set(QT_MIN_VERSION "5.4.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Quick QuickWidgets)

find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    XmlGui
    Auth
    ConfigWidgets
    KIO
    Archive
    NewStuff
)


find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB
)


add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)

add_executable(kcmsddm_authhelper sddmauthhelper.cpp)
target_link_libraries(kcmsddm_authhelper KF5::Auth KF5::ConfigCore KF5::Archive KF5::I18n)

kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

#installer tool for knewstuff
add_executable(sddmthemeinstaller
    sddmthemeinstaller.cpp
)

target_link_libraries(sddmthemeinstaller
    KF5::I18n
    KF5::Auth
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::WidgetsAddons)
install(TARGETS sddmthemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(src)
install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
set(SDDM_CONFIG_FILE                 "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf"        CACHE PATH      "Path of the sddm config file")
set(SDDM_CONFIG_DIR                  "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf.d"      CACHE PATH      "Path of the sddm config directory")
set(SDDM_SYSTEM_CONFIG_DIR           "${CMAKE_INSTALL_PREFIX}/lib/sddm/sddm.conf.d"      CACHE PATH      "Path of the system sddm config directory")

configure_file(config.h.in config.h IMMEDIATE @ONLY)
# add_subdirectory(configwidgets)

include_directories(configwidgets)

set(SDDM_KCM_SRCS
    sddmkcm.cpp
    themeconfig.cpp
    themesmodel.cpp
    thememetadata.cpp
    themesdelegate.cpp
    advanceconfig.cpp
    usersmodel.cpp
    sessionmodel.cpp
    cursortheme/thememodel.cpp
    cursortheme/xcursortheme.cpp
    cursortheme/cursortheme.cpp
    cursortheme/sortproxymodel.cpp
    cursortheme/dummytheme.cpp
    configwidgets/selectimagebutton.cpp
)

set(SDDM_KCM_UI
    ui/themeconfig.ui
    ui/advanceconfig.ui)

ki18n_wrap_ui(SDDM_KCM_SRCS ${SDDM_KCM_UI})
add_library(kcm_sddm MODULE ${SDDM_KCM_SRCS})
target_compile_definitions(kcm_sddm PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kcm_sddm
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Quick
    Qt5::QuickWidgets
    KF5::I18n
    KF5::ConfigWidgets
    KF5::Auth
    KF5::KIOWidgets
    KF5::NewStuff

    ${X11_LIBRARIES}
    XCB::XCB # For mouse cursor themes
)

if (X11_Xcursor_FOUND)
   target_link_libraries(kcm_sddm ${X11_Xcursor_LIB})
endif (X11_Xcursor_FOUND)
if (X11_Xfixes_FOUND)
   target_link_libraries(kcm_sddm ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)

install(TARGETS kcm_sddm DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

install(FILES qml/main.qml DESTINATION ${CMAKE_INSTALL_DATADIR}/sddm-kcm)

=== debian/changelog ===
sddm-kcm (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:29 +0100

sddm-kcm (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:30:01 +0100

sddm-kcm (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:35:22 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5auth-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.12.7")
+set(PROJECT_VERSION "5.13.3")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:14 +0100

## sddm-kcm 5.13.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.13.3")
+set(PROJECT_VERSION "5.13.4")
 set(QT_MIN_VERSION "5.4.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== debian/changelog ===
sddm-kcm (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:26 +0200

sddm-kcm (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:29 +0200

sddm-kcm (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:15 +0200

sddm-kcm (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:57 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.18.0~),
               libkf5archive-dev,
               libkf5auth-dev (>= 5.18.0~),
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5newstuff-dev,
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.13.5

=== debian/changelog ===
sddm-kcm (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:06 +0100

sddm-kcm (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    _ debian/control: Bumped Frameworks & Qt build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 06:49:01 +0100

sddm-kcm (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:07 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5auth-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.14.3

=== debian/changelog ===
sddm-kcm (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:12 -0300

## sddm-kcm 5.14.4

=== debian/changelog ===
sddm-kcm (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
-               libkf5archive-dev (>= 5.42.0~),
-               libkf5auth-dev (>= 5.42.0~),
-               libkf5configwidgets-dev (>= 5.42.0~),
-               libkf5coreaddons-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5newstuff-dev (>= 5.42.0~),
-               libkf5xmlgui-dev (>= 5.42.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5auth-dev (>= 5.50.0~),
+               libkf5configwidgets-dev (>= 5.50.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5newstuff-dev (>= 5.50.0~),
+               libkf5xmlgui-dev (>= 5.50.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.13.4")
-set(QT_MIN_VERSION "5.4.0")
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(PROJECT_VERSION "5.14.5")
+
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
 include(KDEInstallDirs)
@@ -12,7 +15,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Quick QuickWidgets)
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     I18n
     XmlGui
@@ -41,6 +44,10 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
sddm-kcm (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:20:04 +0800

sddm-kcm (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:16 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5kio-dev (>= 5.50.0~),
                libkf5newstuff-dev (>= 5.50.0~),
                libkf5xmlgui-dev (>= 5.50.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libx11-dev,
                libxcb-image0-dev,
                libxcb-shm0-dev,
@@ -24,13 +24,13 @@
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qttools5-dev (>= 5.4.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
 
 Package: kde-config-sddm
 Architecture: any

## sddm-kcm 5.14.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.14.90")
 
 set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.50.0")
+set(KF5_MIN_VERSION "5.54.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Quick QuickWidgets)
@@ -43,11 +43,7 @@
 
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 install(FILES kcm_sddm.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
sddm-kcm (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:26:09 +0000

sddm-kcm (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:25 +0000

## sddm-kcm 5.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.14.90")
+set(PROJECT_VERSION "5.15.0")
 
 set(QT_MIN_VERSION "5.11.0")
 set(KF5_MIN_VERSION "5.54.0")

=== debian/changelog ===
sddm-kcm (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:43 +0000

## sddm-kcm 5.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.15.0")
+set(PROJECT_VERSION "5.15.1")
 
 set(QT_MIN_VERSION "5.11.0")
 set(KF5_MIN_VERSION "5.54.0")

=== debian/changelog ===
sddm-kcm (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:11 +0000

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5archive-dev (>= 5.54.0~),
               libkf5auth-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5newstuff-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='kde-config-sddm-dbg (<= 4:5.5.5-1~~)'

## sddm-kcm 5.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.15.1")
+set(PROJECT_VERSION "5.15.2")
 
 set(QT_MIN_VERSION "5.11.0")
 set(KF5_MIN_VERSION "5.54.0")

=== debian/changelog ===
sddm-kcm (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:27 +0000

## sddm-kcm 5.15.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.15.2")
+set(PROJECT_VERSION "5.15.3")
 
 set(QT_MIN_VERSION "5.11.0")
 set(KF5_MIN_VERSION "5.54.0")

=== debian/changelog ===
sddm-kcm (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:40 +0000

## sddm-kcm 5.15.4

=== debian/changelog ===
sddm-kcm (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:19 +0100

## sddm-kcm 5.15.5

=== debian/changelog ===
sddm-kcm (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:36 +0100

## sddm-kcm 5.15.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.15.3")
+set(PROJECT_VERSION "5.15.90")
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.54.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.58.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -50,7 +50,7 @@
 kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)
 
 add_executable(kcmsddm_authhelper sddmauthhelper.cpp)
-target_link_libraries(kcmsddm_authhelper KF5::Auth KF5::ConfigCore KF5::Archive KF5::I18n)
+target_link_libraries(kcmsddm_authhelper KF5::AuthCore KF5::ConfigCore KF5::Archive KF5::I18n)
 
 kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
 install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
@@ -62,7 +62,7 @@
 
 target_link_libraries(sddmthemeinstaller
     KF5::I18n
-    KF5::Auth
+    KF5::AuthCore
     KF5::CoreAddons
     KF5::ConfigCore
     KF5::WidgetsAddons)

=== debian/changelog ===
sddm-kcm (4:5.15.90-0ubuntu2) eoan; urgency=medium

  * Remove obsolete dbus policy file.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:17:33 +0100

sddm-kcm (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:42 +0100

## sddm-kcm 5.16.0

=== debian/changelog ===
sddm-kcm (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:40 +0100

## sddm-kcm 5.16.1

=== debian/changelog ===
sddm-kcm (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:31 +0100

## sddm-kcm 5.16.2

=== debian/changelog ===
sddm-kcm (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:58 +0100

## sddm-kcm 5.16.3

=== debian/changelog ===
sddm-kcm (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:24:01 +0100

## sddm-kcm 5.16.4

=== debian/changelog ===
sddm-kcm (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5archive-dev (>= 5.54.0~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
-               libkf5xmlgui-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5archive-dev (>= 5.58.0~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
+               libkf5xmlgui-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.16.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.15.90")
+set(PROJECT_VERSION "5.16.5")
 
 set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.58.0")
@@ -69,7 +69,7 @@
 install(TARGETS sddmthemeinstaller ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
 
 add_subdirectory(src)
-install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})
+install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
sddm-kcm (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:26:02 +0100

## sddm-kcm 5.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.16.5")
+set(PROJECT_VERSION "5.17.2")
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.58.0")
+set(KF5_MIN_VERSION "5.62.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -13,7 +13,7 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Quick QuickWidgets)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
@@ -26,20 +26,9 @@
     NewStuff
 )
 
-
-find_package(X11)
-set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
-                        URL "http://www.x.org"
-                        TYPE REQUIRED
-                        PURPOSE "Required for building the X11 based workspace"
-                      )
-
-find_package(XCB
-    REQUIRED COMPONENTS
-        XCB SHM IMAGE
-    OPTIONAL_COMPONENTS
-        XKB
-)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")

=== debian/changelog ===
sddm-kcm (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5archive-dev (>= 5.58.0~),
-               libkf5auth-dev (>= 5.58.0~),
-               libkf5configwidgets-dev (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5newstuff-dev (>= 5.58.0~),
-               libkf5xmlgui-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.62.0~),
+               libkf5archive-dev (>= 5.62.0~),
+               libkf5auth-dev (>= 5.62.0~),
+               libkf5configwidgets-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.62.0~),
+               libkf5newstuff-dev (>= 5.62.0~),
+               libkf5xmlgui-dev (>= 5.62.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.17.2")
+set(PROJECT_VERSION "5.17.3")
 
 set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.62.0")

=== debian/changelog ===
sddm-kcm (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:28 +0000

## sddm-kcm 5.17.4

=== debian/changelog ===
sddm-kcm (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:43 +0000

## sddm-kcm 5.17.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.17.3")
+set(PROJECT_VERSION "5.17.5")
 
 set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.62.0")

=== debian/changelog ===
sddm-kcm (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:50:56 +0100

sddm-kcm (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused libqt5x11extras5-dev, libx11-dev, libxcb-image0-dev,
      libxcb-shm0-dev, libxcb-xkb-dev, libxcb1-dev, libxcursor-dev, and
      qttools5-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the migration from kde-config-sddm-dbg, no more needed after two
    Debian stable releases.
  * Unregister sddmtheme.knsrc as conffile, as it is no more in /etc.
  * Remove trailing whitespaces in changelog.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Unregister also org.kde.kcontrol.kcmsddm.conf as conffile, as it is no
    more in /etc. (Closes: #946243)

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 10:17:02 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               libkf5archive-dev (>= 5.62.0~),
               libkf5auth-dev (>= 5.62.0~),
               libkf5configwidgets-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5newstuff-dev (>= 5.62.0~),
               libkf5xmlgui-dev (>= 5.62.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.17.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.17.5")
+set(PROJECT_VERSION "5.17.90")
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -11,6 +11,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
@@ -28,6 +29,7 @@
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
 endif()
 
 
@@ -60,8 +62,11 @@
 add_subdirectory(src)
 install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:56 +0000

sddm-kcm (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:32 +0000

## sddm-kcm 5.18.0

=== debian/changelog ===
sddm-kcm (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:52 +0000

## sddm-kcm 5.18.1

=== debian/changelog ===
sddm-kcm (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:38 +0000

## sddm-kcm 5.18.2

=== debian/changelog ===
sddm-kcm (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:49 +0000

## sddm-kcm 5.18.3

=== debian/changelog ===
sddm-kcm (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:45 +0000

## sddm-kcm 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.17.90")
+set(PROJECT_VERSION "5.18.4")
 
 set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.66.0")
@@ -29,7 +29,7 @@
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 endif()

=== debian/changelog ===
sddm-kcm (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:15 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               libkf5archive-dev (>= 5.66.0~),
               libkf5auth-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.18.5

=== debian/changelog ===
sddm-kcm (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:43:11 +0100

## sddm-kcm 5.19.2

=== debian/changelog ===
sddm-kcm (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:22 +0100

## sddm-kcm 5.19.3

=== debian/changelog ===
sddm-kcm (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:02:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5archive-dev (>= 5.66.0~),
-               libkf5auth-dev (>= 5.66.0~),
-               libkf5configwidgets-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5auth-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxcb-image0-dev,

## sddm-kcm 5.19.4

=== debian/changelog ===
sddm-kcm (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:44:05 +0100

## sddm-kcm 5.19.5

=== debian/changelog ===
sddm-kcm (4:5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete fields in d/upstream/metadata already defined
    in d/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:25 +0900

sddm-kcm (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:43 +0900

sddm-kcm (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:56:43 +0900

sddm-kcm (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
    - Bump dependencies versions.
    - wrap-and-sort.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Enable hardening.
  * Update upstream metadata.
  * Clean up d/copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 08:02:50 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               libkf5archive-dev (>= 5.66.0~),
               libkf5auth-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
Rules-Requires-Root: no

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.20.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.3")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== debian/changelog ===
sddm-kcm (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:54:54 +0000

sddm-kcm (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:33 +0100

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               libkf5archive-dev (>= 5.70.0~),
               libkf5auth-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5newstuff-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

Package: kde-config-sddm
Architecture: any
Depends: qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 5.20.4

=== debian/changelog ===
sddm-kcm (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:39 +0900

sddm-kcm (4:5.20.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:34 +0900
